Subject: Re: bug#23012: add option to specific locale to sort

From: Bernhard Voelker <[email-masked]>
Date: Tue, 15 Mar 2016 08:17:07 +0100

On 03/14/2016 07:39 PM, Paul Eggert wrote:
>  Is the minor benefit worth all this hassle?

I'm afraid not.  Furthermore, I've seen several "creative" approaches
of day-to-day users for spelling the locale: is it upper-case? Use a dot
or a minus or an underscore between the 1st and 2nd part?  Is the country
"de" or why would it be "de_de" or "eu_de" or ...? Is is "utf-8" or
"UTF.8" or "utf8"?  TBC.

After all, the only case I see is that users are unhappy with the sorting
of their non-C locale, or put the other way round: probably the only value
needed is --locale=C which could then be a fix option like --C-locale.
Yet, as there's "LC_ALL=C sort ...", this is still redundant.

Have a nice day,
Berny